package com.mortals.xhx.module.hik;

import com.hikvision.artemis.sdk.config.ArtemisConfig;
import org.springframework.beans.factory.annotation.Value;

import java.util.HashMap;
import java.util.Map;

public abstract class AbstractHikService {

    @Value("${hik.host:}")
    protected String host;

    @Value("${hik.appKey:''}")
    protected String appKey;

    @Value("${hik.appSecret:''}")
    protected String appSecret;

    @Value("${hik.protocol:http://}")
    protected String protocol;

    public String ARTEMIS_PATH = "/artemis";

    protected Map<String, String> path = new HashMap<>(2);


    protected ArtemisConfig getArtemisConfig() {
        ArtemisConfig config = new ArtemisConfig();
        config.setHost(host);
        config.setAppKey(appKey);  // 秘钥appkey
        config.setAppSecret(appSecret);// 秘钥appSecret
        return config;
    }

}
